/****************************** HEADER *********************************
Larry Bednar, US Forest Service, Portland Forestry Sciences Lab,
         Portland, OR. (503) 808-2016.
PURPOSE: This SAS program defines a SAS macro program which changes
         blank values for specified variables in the PRIME
         Tabling application to the value specified for initiation
         parameter NEW_VAL.

$RCSfile: chg_blnk.sas,v $; 
$Revision: 1.1 $; 
$Date: 2000/02/23 00:25:07 $;   
$Author: lbednar $; 
******************************** CODE **********************************/

%MACRO chg_blnk(data_in=,
                chg_vars=,
                new_val=,
                data_out=);


%*Extract individual row and column variable names from the multiple
  specifications in macro variables COLS and ROWS;
   %LET chg1=%SCAN(&chg_vars,1);
   %LET chg2=%SCAN(&chg_vars,2);
   %LET chg3=%SCAN(&chg_vars,3);
   %LET chg4=%SCAN(&chg_vars,4);
   %LET chg5=%SCAN(&chg_vars,5);
   %LET chg6=%SCAN(&chg_vars,6);

%*Remove observations from input data set which represent unwanted totals
  over first column variable;
DATA &data_out;
   SET &data_in;
   %IF &chg1^= %THEN
      %DO;
         IF &chg1=' ' THEN &chg1="&new_val";
      %END;
   %IF &chg2^= %THEN
      %DO;
         IF &chg2=' ' THEN &chg2="&new_val";
      %END;
   %IF &chg3^= %THEN
      %DO;
         IF &chg3=' ' THEN &chg3="&new_val";
      %END;
   %IF &chg4^= %THEN
      %DO;
         IF &chg4=' ' THEN &chg4="&new_val";
      %END;
   %IF &chg5^= %THEN
      %DO;
         IF &chg5=' ' THEN &chg5="&new_val";
      %END;
   %IF &chg6^= %THEN
      %DO;
         IF &chg6=' ' THEN &chg6="&new_val";
      %END;
RUN;

%MEND chg_blnk;

*** END OF MACRO ***;
*** END OF MACRO ***;
