/****************************** HEADER *********************************
Larry Bednar, US Forest Service, Portland Forestry Sciences Lab,
         Portland, OR. (503) 808-2016.
PURPOSE: This SAS program synthesizes SAS data sets used to verify 
         computational accuracy of the PRIME Tabling Application.

$RCSfile: make_dss.sas,v $; 
$Revision: 1.1 $; 
$Date: 2000/02/23 00:25:07 $;   
$Author: lbednar $; 
************************************************************************

options pagesize=54 linesize=80 pageno=1 number nodate
        mprint symbolgen;
goptions reset=all device=win targetdevice=hplj3si rotate=landscape;

Footnote
"&Program &Version - &Coder - &sysscp SAS V&sysver -(&sysdate,&systime)";

/******************************* CODE **********************************/

title "PRIME Report Table Program";
title2 "Test data set synthesis";

LIBNAME test 'Quantum 540B:Work:PFSL:PRIME:Tabling:SAS_data';
DATA test.subpop;
   INPUT id size samp_sz;
   CARDS;
1 200000 1000
DATA test.str;
   DO i=1 TO 10;
      sp=1;
      stid=i;
      prim_sz=1000;
      sec_sz=100;
      st_size=20000;
      OUTPUT;
   END;
   DROP i;
RUN;
DATA test.obs;
   RETAIN id 0;
   format for1 for2 for3 $3.;
   SET test.str;
   DO i=1 TO sec_sz;
      id+1;
      DO j=1 TO 2;
         for1=j;
         DO k=1 TO 2;
            for2=k;
            DO l=1 TO 2;
               for3=l;
               vol1 = 300 + 20*stid + 20*NORMAL(0);
               vol2 = 200 + 15*stid + 10*NORMAL(0);
               OUTPUT;
            END;
         END;
      END;
   END;
   DROP i j k l prim_sz sec_sz;
RUN;

TITLE;
FOOTNOTE;
QUIT;

*** END OF PROGRAM ***;
*** END OF PROGRAM ***;
*** END OF PROGRAM ***;
