%LET test_case   =4_5_01;
%LET est_method  =double_ratio;

%LET tabling_dir = d:\work\prof\tricision_tabling_rom\work\tabling_mod\source_code;
%LET test_dir    = d:\work\prof\tricision_tabling_rom\work\dev_docmtn\stage4_build\testing_2002_01_04\&est_method\test_&test_case;

LIBNAME proj "&test_dir";

OPTIONS MPRINT SYMBOLGEN;
*OPTIONS NOMPRINT NOSYMBOLGEN;

%INCLUDE "&tabling_dir\chg_blnk.sas";
%INCLUDE "&tabling_dir\get_sp.sas";
%INCLUDE "&tabling_dir\get_st_s.sas";
%INCLUDE "&tabling_dir\get_ob_s.sas";
%INCLUDE "&tabling_dir\double_rs.sas";

TITLE  "TABLING ROM Addition";
TITLE2 "ROM_S output of revised DOUBLE_RS module";

%*The following macro invocation is used for development testing;
*Macro invocation used only during code development and troubleshooting;
%tabling( t_title   =Testing of revised TABLING app,  
	  t_title2  =Double sampling ROM_S,
	  t_method  =census, 
	  t_est_stat=mean,
	  t_sp      =proj.synpop,
	  t_sp_spid =subpop_id,
	  t_sp_sz   =subpop_sz,
	  t_sp_ssz  =subpop_ssz,
	  t_st      =proj.synstrat,
	  t_st_spid =subpop_id,
	  t_st_stid =strat_id,
	  t_st_sz   =strat_sz,
	  t_st_ssz1 =,
	  t_st_ssz  =strat_ssz,
	  t_su      =proj.syndata,
	  t_su_spid =subpop_id,
	  t_su_stid =,
	  t_su_suid =samp_unit_id,
	  t_su_rows =row_category,
	  t_su_cols =col_category,
	  t_su_attr =y,
	  t_unit    =0.0001,
	  t_sig     =4,
	  t_margins =YES,
	  t_print   =YES,
	  t_libout  =,
	  t_dataout =,
	  t_htmlout =);

TITLE3 "Stratum observations";
PROC CONTENTS DATA=WORK.stratum;
RUN;

PROC PRINT DATA=WORK.stratum;
RUN;

TITLE3 "Sample unit observations";
PROC CONTENTS DATA=WORK.obs;
RUN;

*PROC PRINT DATA=WORK.obs;
*RUN;

*Correctly specified STRAT SUM invocation;
%*tabling(t_title  =IN_CHK module testing title1 txt,  
	  t_title2  =testing title 2 text,
	  t_method  =strat, 
	  t_est_stat=sum,
	  t_sp      =proj.synpop,
	  t_sp_spid =subpop_id,
	  t_sp_sz   =,
	  t_sp_ssz  =,
	  t_st      =proj.synstrat,
	  t_st_spid =subpop_id,
	  t_st_stid =strat_id,
	  t_st_sz   =strat_sz,
	  t_st_ssz1 =,
	  t_st_ssz  =strat_ssz,
	  t_su      =proj.syndata,
	  t_su_spid =,
	  t_su_stid =strat_id,
	  t_su_suid =samp_unit_id,
	  t_su_rows =row_category,
	  t_su_cols =col_category,
	  t_su_attr =y/x,
	  t_unit    =1,
	  t_sig     =4,
	  t_margins =YES,
	  t_print   =YES,
	  t_libout  =,
	  t_dataout =,
	  t_htmlout =,
	  t_var_out = test_response);


